Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 09-10-2014 15:17:58

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Ok, alors :

apt-get install -t wheezy-backports bumblebee bumblebee-nvidia primus


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#27 09-10-2014 15:23:12

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Heu, d'après le retour d'aptitude, il ne me semble pas que tu ais fait :

apt-get purge nvidia*

demandé dans mon #9 ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#28 09-10-2014 15:39:56

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Je ne comprends pas, je me souviens l'avoir fait pourtant hmm
J'avais déjà lancé la commande d'installation hmm qui à échoué
J'ai donc lancé le Purge pensant reprendre de zéro
et maintenant après avoir fait un update :

apt-get dist-upgrade


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 cups : Dépend: libc-bin (>= 2.13)
E: Dépendances manquantes. Essayez d'utiliser l'option -f.
 

Hors ligne

#29 09-10-2014 15:44:21

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Installation Bumblebee défaillante

Vega a écrit :

je me souviens l'avoir fait pourtant


Regarde l'historique de tes commandes root :
Historique des commandes

Utilise l'option -s (simulation) pour voir exactement ce qui se passe quand tu lances une commande à forte modifications sans qu'elle soit réellement appliquée.

Dernière modification par smolski (09-10-2014 15:46:21)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#30 09-10-2014 15:45:22

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Tente le

apt-get -f install


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#31 09-10-2014 15:46:58

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Il me retourne ça :

apt-get -f install


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  bluez-alsa bluez-gstreamer folks-common libblas3gf libcupsdriver1
  libgnome-media-profiles-3.0-0 libreadline5 pcmciautils python-gnupginterface
  python-pycurl xfonts-intl-european
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  libc-bin
Les paquets suivants seront ENLEVÉS :
  nfs-common rpcbind
Les NOUVEAUX paquets suivants seront installés :
  libc-bin
0 mis à jour, 1 nouvellement installés, 2 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/1 271 ko dans les archives.
Après cette opération, 2 485 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Can't exec "locale": Aucun fichier ou dossier de ce type at /usr/share/perl5/Debconf/Encoding.pm line 16.
Use of uninitialized value $Debconf::Encoding::charmap in scalar chomp at /usr/share/perl5/Debconf/Encoding.pm line 17.
dpkg : avertissement : « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg : erreur : 1 programme attendu non trouvé dans la variable PATH ou non exécutable
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin
E: Sub-process /usr/bin/dpkg returned an error code (2)

Hors ligne

#32 09-10-2014 15:56:10

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Kesskeceksa encore  roll
Très surprenant.

Essaye

export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

et relance la force install.


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#33 09-10-2014 16:02:05

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

root@Cxvo:/home/vega# export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
root@Cxvo:/home/vega# apt-get dist-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 cups : Dépend: libc-bin (>= 2.13)
E: Dépendances manquantes. Essayez d'utiliser l'option -f.
root@Cxvo:/home/vega# apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  bluez-alsa bluez-gstreamer folks-common libblas3gf libcupsdriver1
  libgnome-media-profiles-3.0-0 libreadline5 pcmciautils python-gnupginterface
  python-pycurl xfonts-intl-european
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  libc-bin
Les paquets suivants seront ENLEVÉS :
  nfs-common rpcbind
Les NOUVEAUX paquets suivants seront installés :
  libc-bin
0 mis à jour, 1 nouvellement installés, 2 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/1 271 ko dans les archives.
Après cette opération, 2 485 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Can't exec "locale": Aucun fichier ou dossier de ce type at /usr/share/perl5/Debconf/Encoding.pm line 16.
Use of uninitialized value $Debconf::Encoding::charmap in scalar chomp at /usr/share/perl5/Debconf/Encoding.pm line 17.
dpkg : avertissement : « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg : erreur : 1 programme attendu non trouvé dans la variable PATH ou non exécutable
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin
E: Sub-process /usr/bin/dpkg returned an error code (2)



Tous les problèmes ne viendrait pas de ma version ?

root@Cxvo:/home/vega# uname -a
Linux Cxvo 3.16-0.bpo.2-amd64 #1 SMP Debian 3.16.3-2~bpo70+1 (2014-09-21) x86_64 GNU/Linux

Hors ligne

#34 09-10-2014 16:06:52

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Ohhh, commence à m'chauffer, le p'tit asticot.  lol

Bon, essaye

apt-get install --reinstall libc6


suivi de

apt-get -f install


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#35 09-10-2014 16:09:07

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

root@Cxvo:/home/vega# apt-get install --reinstall libc6
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
La réinstallation de libc6 est impossible, il ne peut pas être téléchargé.
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 cups : Dépend: libc-bin (>= 2.13)
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
root@Cxvo:/home/vega# apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  bluez-alsa bluez-gstreamer folks-common libblas3gf libcupsdriver1
  libgnome-media-profiles-3.0-0 libreadline5 pcmciautils python-gnupginterface
  python-pycurl xfonts-intl-european
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  libc-bin
Les paquets suivants seront ENLEVÉS :
  nfs-common rpcbind
Les NOUVEAUX paquets suivants seront installés :
  libc-bin
0 mis à jour, 1 nouvellement installés, 2 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/1 271 ko dans les archives.
Après cette opération, 2 485 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Can't exec "locale": Aucun fichier ou dossier de ce type at /usr/share/perl5/Debconf/Encoding.pm line 16.
Use of uninitialized value $Debconf::Encoding::charmap in scalar chomp at /usr/share/perl5/Debconf/Encoding.pm line 17.
dpkg : avertissement : « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg : erreur : 1 programme attendu non trouvé dans la variable PATH ou non exécutable
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin
E: Sub-process /usr/bin/dpkg returned an error code (2)

Hors ligne

#36 09-10-2014 16:12:40

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Hmmm, ça se mord la queue et je ne vois pas comment en sortir pour l'instant.  hmm

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#37 09-10-2014 16:13:37

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Oui c'est vraiment bizarre !

Hors ligne

#38 09-10-2014 16:15:28

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Il n'est peut-être pas possible en ce moment de downgrader de Jessie à Wheezy ...

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#39 09-10-2014 16:16:15

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Ah oui Jessie est en Gel ?
Je réinstalle ?

Hors ligne

#40 09-10-2014 16:20:40

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Vega a écrit :

Ah oui Jessie est en Gel ?

Pas encore, justement, ce sera début novembre.

Vega a écrit :

Je réinstalle ?

Ce serait moi, c'est ce que je ferais, sachant parfaitement (j'ai écrit ça dans un coin) tout ce que ça implique en post-install.  neutral


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#41 09-10-2014 16:26:20

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

D'accord !
Après installation je devrais reprendre à partir du fichier source que Smolski m'a indiqué et retenter l'installation de Bumblebee via ta commande #26

Hors ligne

#42 09-10-2014 16:30:50

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Installation Bumblebee défaillante

Oui, c'est cela, à partir du sources.list du #22.
Bon courage.  smile

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#43 09-10-2014 16:35:33

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Ça marche ! Je te tiens au courant !
Merci encore pour ton aide ! big_smile

Hors ligne

#44 09-10-2014 17:59:14

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Bonne nouvelle ! L'installation à réussie !
Cependant ! wink
Lors de l’installation j'ai eu un message comme quoi le module libre nouveau rentrait en conflit avec le pilote non libre nvidia et que pour résoudre ce problème il fallait redémarrer.(Ce que j'ai fais)
Puis, un autre message : Une config manuelle est requise pour le pilote nvidia qu'il faut activer dans le fichier xorg.conf afin d'être utiliser.

Et quand je regarde dans les détails du paramètre système on voit bien :
Pilote : Gallium 0.4 on llvmpipe (LLVM 0x209)
Carte graphique : Restreint

Donc je dois maintenant configurer le fichier xorg.conf pour résoudre ce dernier problème ?

Hors ligne

#45 09-10-2014 18:40:06

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Apparemment non :

Attention : Si vous avez choisi d'installer le paquet bumblebee-nvidia et sa dépendance le pilote nvidia, pendant la post-installation, vous verrez un message d'avertissement qui vous dit que vous devez créer un fichier xorg.conf pour utiliser le pilote propriétaire nvidia. Ce message ne s'adresse qu'aux utilisateurs qui n'utilisent pas Optimus, c'est-à-dire qui ont un système avec seulement une carte graphique Nvidia. Ne laissez pas debconf créer un fichier xorg.conf et n'exécutez pas nvidia-xconfig !

https://wiki.debian.org/fr/Bumblebee#Installation

Hors ligne

#46 09-10-2014 18:54:15

yoshi
Membre
Lieu : Normandie
Distrib. : PCLinuxOS/Antix/Slackware
Noyau : 4.8.12/4.4.10/4.4.32
(G)UI : Plasma5/Fluxbox/KDE4/Trinity
Inscription : 05-03-2014

Re : Installation Bumblebee défaillante

Oui, mais il faut blacklister nouveau. Sinon il y a deux pilotes qui tentent de faire fonctionner la CG en même temps, donc ça foire inévitablement.

PcLinuxOs KDE Plasma 5.8.4 / Slackware -current KDE 4.14.21 sur workstation bi-processeur AMD Opteron 4234 32 Go DDR-3
antiX 16 rox/fluxbox sur laptop Toshiba Satellite C-660-2D6 Intel core I3 8Go DDR-3
PcLinuxOs Trinity Desktop+Kodi sur media-center HP Intel Celeron 2Go DDR-3

Hors ligne

#47 09-10-2014 18:54:22

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

J'ai ajouté mon nom d'utilisateur comme indiqué

et j'ai eu le message d'erreur suivant avec la commande :

optirun glxgears -info
[ 3637.743611] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver

[ 3637.743642] [ERROR]Aborting because fallback start is disabled.



J'ai donc suivi ceci :

Si optirun renvoie l'erreur suivante : [ERROR]Cannot access secondary GPU - error: Could not load GPU driver

Vous devez modifier le fichier /etc/bumblebee/bumblebee.conf avec votre éditeur de texte préféré en tant que superutilisateur et changer « KernelDriver=nvidia » en « KernelDriver=nvidia-current », puis redémarrez le démon bumblebee, c'est-à-dire :

sudo service bumblebeed restart



Mais ça ne change rien hmm

Une idée ?

Hors ligne

#48 09-10-2014 18:55:50

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

Comment fait-on pour le blacklister ?

Hors ligne

#49 09-10-2014 19:12:00

yoshi
Membre
Lieu : Normandie
Distrib. : PCLinuxOS/Antix/Slackware
Noyau : 4.8.12/4.4.10/4.4.32
(G)UI : Plasma5/Fluxbox/KDE4/Trinity
Inscription : 05-03-2014

Re : Installation Bumblebee défaillante

Il faut éditer: /etc/default/grub

Et à la ligne : GRUB_CMDLINE_LINUX_DEFAULT=
Ajouter: nouveau.modeset=0
Puis bien sur après faire un update-grub, puis rebooter.

PcLinuxOs KDE Plasma 5.8.4 / Slackware -current KDE 4.14.21 sur workstation bi-processeur AMD Opteron 4234 32 Go DDR-3
antiX 16 rox/fluxbox sur laptop Toshiba Satellite C-660-2D6 Intel core I3 8Go DDR-3
PcLinuxOs Trinity Desktop+Kodi sur media-center HP Intel Celeron 2Go DDR-3

Hors ligne

#50 09-10-2014 19:23:56

Vega
Membre
Lieu : Helsinki
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 04-10-2014
Site Web

Re : Installation Bumblebee défaillante

J'ai bien changé la valeur, mis a jour grub et rebooté mais j'ai toujours le même message d'erreur en lançant optirun.
J'ai mis comme ceci :

GRUB_CMDLINE_LINUX_DEFAULT=nouveau.modeset=0


Faut-il mettre entre guillement ou autre chose ou cela suffit ?

Mais je me demandais si en éxécutant cette commande :

apt-get install -t wheezy-backports bumblebee bumblebee-nvidia primus



Les pilotes de ma carte graphique étaient installé en même temps ou s'agit-il juste de l'installation de Bumblebee ?

Hors ligne

Pied de page des forums